# Uses of Interface
com.logicaldoc.core.store.Store

Packages that use Store
Package
Description
com.logicaldoc.core.document.thumbnail
Machinery for building thumbnails of the first page of the documents.
com.logicaldoc.core.store
The store sub-system responsible for persisting the binaries of the documents.

## Uses of Store in com.logicaldoc.core.document.thumbnail

Methods in com.logicaldoc.core.document.thumbnail with parameters of type Store
Modifier and Type
Method
Description
`void`
ThumbnailManager.`setStore(Store store)`

## Uses of Store in com.logicaldoc.core.store

Classes in com.logicaldoc.core.store that implement Store
Modifier and Type
Class
Description
`class`
`AbstractStore`
Common methods for all the Store implementations.
`class`
`FSStore`
This class is an implementation of the Store interface to persist documents in the filesystem.
`class`
`MockStore`
This is basically a `FSStore` but with a flag that if active makes the store method to return an exception
Methods in com.logicaldoc.core.store that return Store
Modifier and Type
Method
Description
`static Store`
Store.`get()`
Gets the object available in the application context
`Store`
AbstractStore.`newStore(int id)`
Instantiate a new store and fully configures it.+
`Store`
Store.`newStore(int id)`
Instantiate a new store and fully configures it.
Methods in com.logicaldoc.core.store that return types with arguments of type Store
Modifier and Type
Method
Description
`Map<String,Store>`
AbstractStore.`getStoreDefinitions()`
`Map<String,Store>`
Store.`getStoreDefinitions()`
Retrieves the stores definitions grouped by type
Methods in com.logicaldoc.core.store with parameters of type Store
Modifier and Type
Method
Description
`int`
AbstractStore.`compareTo(Store o)`